﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TranslateOverAxis : MonoBehaviour {
    public Vector3 axis = Vector3.up;
    public float unitsPerSeconds = 0;
    public float maxDisplacement = float.MaxValue;
    public KeyCode forwardKey, backwardKey;

    Vector3 initialPosition;

    // Use this for initialization
    void Start () {
        initialPosition = transform.localPosition;
        axis.Normalize();
	}

	// Update is called once per frame
	void Update () {
        int direction = 0;
        if (Input.GetKey(forwardKey)) { direction = 1; } 
        else if (Input.GetKey(backwardKey)) { direction = -1; }

        float displacement = Time.deltaTime * unitsPerSeconds * direction;
        Vector3 destination = transform.localPosition + (axis * displacement);
        if ((destination - initialPosition).magnitude <= maxDisplacement * 0.5f) {
            transform.localPosition = destination;
        }
	}
}
